1. MiniPOS Products API
UCS MiniPOS API - PUBLIC
  • MIDserver
    • MiniPOS Invoice API
      • ValidateInvoice
      • New Sales Invoice - Basic
      • New Refund Invoice - Basic
      • New Sales Invoice - Advanced
      • New Sales Invoice + Slip after payment
      • New Non fiscal slip
      • Get Invoice List
      • Get Invoice by ID
  • CRMserver
    • MiniPOS Products API
      • GET Products List
        GET
      • GET Product by ID
        GET
      • DELETE Product by ID
        DELETE
      • Change Product by ID
        PUT
      • Create new Product Basic
        POST
      • Create new Product Advanced
        POST
    • MiniPOS Categories API
      • Create new Category
    • MiniPOS Shift Data API
      • GET shifts
      • GET receipts
  1. MiniPOS Products API

GET Products List

GET
/api/products

Request

None

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/products'
Response Response Example
[
    {
        "id": 12,
        "barcodes": [
            {
                "barcode": "3475557112"
            },
            {
                "barcode": "1234444712"
            }
        ],
        "addons": [
            9,
            3
        ],
        "status": 1,
        "code": 4777,
        "name": "ItemName",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "SomePayload",
        "created_at": "2026-01-09T10:13:28.357056+02:00",
        "updated_at": "2026-02-18T08:19:40.734866+02:00",
        "info": {
            "blocks": [
                {
                    "kind": "text",
                    "content": "Some text here1"
                },
                {
                    "code": "1234567890123",
                    "kind": "barcode",
                    "type": 2
                },
                {
                    "kind": "text",
                    "content": "Some text here2"
                }
            ]
        },
        "no_discount": false,
        "category": 1,
        "fiscal_section": 1,
        "tax": 0
    },
    {
        "id": 13,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 101,
        "name": "Nodaļa 1",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T14:54:15.373611+02:00",
        "updated_at": "2026-01-12T14:54:15.373611+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 1,
        "tax": 0
    },
    {
        "id": 22,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 110,
        "name": "Nodaļa 10",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T14:58:30.621171+02:00",
        "updated_at": "2026-01-12T14:58:30.621171+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 10,
        "tax": 0
    },
    {
        "id": 23,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 111,
        "name": "Nodaļa 11",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T14:58:46.169840+02:00",
        "updated_at": "2026-01-12T14:58:46.169840+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 11,
        "tax": 0
    },
    {
        "id": 24,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 112,
        "name": "Nodaļa 12",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T14:58:59.161318+02:00",
        "updated_at": "2026-01-12T14:58:59.161318+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 12,
        "tax": 0
    },
    {
        "id": 25,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 113,
        "name": "Nodaļa 13",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T15:00:24.181969+02:00",
        "updated_at": "2026-01-12T15:01:30.982285+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 13,
        "tax": 0
    },
    {
        "id": 26,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 114,
        "name": "Nodaļa 14",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T15:01:51.735435+02:00",
        "updated_at": "2026-01-12T15:01:51.735435+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 14,
        "tax": 0
    },
    {
        "id": 27,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 115,
        "name": "Nodaļa 15",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T15:02:13.404982+02:00",
        "updated_at": "2026-01-12T15:02:13.404982+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 15,
        "tax": 0
    },
    {
        "id": 28,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 116,
        "name": "Nodaļa 16",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T15:02:31.267499+02:00",
        "updated_at": "2026-01-12T15:02:31.267499+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 16,
        "tax": 0
    },
    {
        "id": 29,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 117,
        "name": "Nodaļa 17",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T15:02:46.312181+02:00",
        "updated_at": "2026-01-12T15:02:46.312181+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 17,
        "tax": 0
    },
    {
        "id": 30,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 118,
        "name": "Nodaļa 18",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T15:03:07.709975+02:00",
        "updated_at": "2026-01-12T15:03:07.709975+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 18,
        "tax": 0
    },
    {
        "id": 31,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 119,
        "name": "Nodaļa 19",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T15:03:24.279652+02:00",
        "updated_at": "2026-01-12T15:03:32.354612+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 19,
        "tax": 0
    },
    {
        "id": 14,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 102,
        "name": "Nodaļa 2",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T14:54:38.184528+02:00",
        "updated_at": "2026-01-12T14:54:38.184528+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 2,
        "tax": 0
    },
    {
        "id": 32,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 120,
        "name": "Nodaļa 20",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T15:03:46.772543+02:00",
        "updated_at": "2026-01-12T15:03:46.772543+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 20,
        "tax": 0
    },
    {
        "id": 15,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 103,
        "name": "Nodaļa 3",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T14:55:00.453977+02:00",
        "updated_at": "2026-01-12T14:56:08.399663+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 3,
        "tax": 0
    },
    {
        "id": 16,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 104,
        "name": "Nodaļa 4",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T14:55:19.018601+02:00",
        "updated_at": "2026-01-12T14:55:19.018601+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 4,
        "tax": 0
    },
    {
        "id": 17,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 105,
        "name": "Nodaļa 5",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T14:55:52.263350+02:00",
        "updated_at": "2026-01-12T14:55:52.263350+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 5,
        "tax": 0
    },
    {
        "id": 18,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 106,
        "name": "Nodaļa 6",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T14:56:30.507798+02:00",
        "updated_at": "2026-01-12T14:56:30.507798+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 6,
        "tax": 0
    },
    {
        "id": 19,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 107,
        "name": "Nodaļa 7",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T14:56:59.677518+02:00",
        "updated_at": "2026-01-12T14:57:41.056500+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 7,
        "tax": 0
    },
    {
        "id": 20,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 108,
        "name": "Nodaļa 8",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T14:57:20.965840+02:00",
        "updated_at": "2026-01-12T14:57:48.522613+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 8,
        "tax": 0
    },
    {
        "id": 21,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 109,
        "name": "Nodaļa 9",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2026-01-12T14:58:09.425450+02:00",
        "updated_at": "2026-01-12T14:58:09.425450+02:00",
        "info": {},
        "no_discount": false,
        "category": 5,
        "fiscal_section": 9,
        "tax": 0
    }
    {
        "id": 2,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 2,
        "name": "Prece PVN A",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2025-09-04T22:20:23.816154+03:00",
        "updated_at": "2025-09-04T22:20:23.816154+03:00",
        "info": {},
        "no_discount": false,
        "category": 1,
        "fiscal_section": 1,
        "tax": 0
    },
    {
        "id": 3,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 3,
        "name": "Prece PVN B",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2025-09-04T22:20:29.314931+03:00",
        "updated_at": "2025-09-04T22:20:36.824872+03:00",
        "info": {},
        "no_discount": false,
        "category": 1,
        "fiscal_section": 1,
        "tax": 1
    },
    {
        "id": 4,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 4,
        "name": "Prece PVN C",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2025-09-04T22:20:40.584815+03:00",
        "updated_at": "2025-09-04T22:20:47.886072+03:00",
        "info": {},
        "no_discount": false,
        "category": 1,
        "fiscal_section": 1,
        "tax": 2
    },
    {
        "id": 5,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 5,
        "name": "Prece PVN D",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2025-09-04T22:20:53.378110+03:00",
        "updated_at": "2025-09-04T22:20:59.742180+03:00",
        "info": {},
        "no_discount": false,
        "category": 1,
        "fiscal_section": 1,
        "tax": 3
    },
    {
        "id": 6,
        "barcodes": [],
        "addons": [],
        "status": 1,
        "code": 6,
        "name": "Prece PVN F",
        "price": 1,
        "is_free_price": false,
        "is_weight": false,
        "default_quantity": 1,
        "payload": "",
        "created_at": "2025-09-04T22:21:03.769364+03:00",
        "updated_at": "2025-09-04T22:21:08.964637+03:00",
        "info": {},
        "no_discount": false,
        "category": 1,
        "fiscal_section": 1,
        "tax": 5
    }
]
Modified at 2026-04-15 12:52:15
Previous
MiniPOS Products API
Next
GET Product by ID
Built with